"""Python API for FlashXTest"""

import os
from . import FlashTest

def setup(source,site):
    """
    Setup test configuration

    Arguments
    ---------
    source  : Source directory
    site    : Site directory 
    """
    testDir = os.getenv('PWD')
    FlashTest.setup(testDir,source,site)

def run(testDict,**attributes):
    """
    Run a list of tests from xml file 

    Arguments
    ---------
    testDict : {testName : testList}
             
                 testName : Name of the test xml file
                 testList : Tests to run from xml file

    attributes  : Dictionary to override values from Config file
    """
    # Setup enivornment
    testDir = os.getenv('PWD')

    # Main dictionary from Config file
    mainDict = FlashTest.parseFile('{0}/Config'.format(testDir),**attributes)

    # Run FlashTest
    FlashTest.run(testDir,testDict,mainDict)
